<?xml version="1.0" encoding="utf-8"?>
<com.yidian.nightmode.widget.YdConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_FFFFFFFF"
    android:fitsSystemWindows="true">

    <com.yidian.bcommon.widget.CommonTopBarView
        android:id="@+id/bv_top_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:CommonTopBarView_title_text="@string/join_life_circle"
        app:layout_constraintTop_toTopOf="parent" />

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_upgrade_life_account"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="25dp"
        android:layout_marginTop="29dp"
        android:includeFontPadding="false"
        android:text="@string/join_life_circle_and_upgrade_to_life_account"
        android:textColor="#DE000000"
        android:textSize="15sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/bv_top_bar" />

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_provide_services"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp"
        android:includeFontPadding="false"
        android:text="@string/provide_more_and_better_services"
        android:textColor="#FF333333"
        android:textSize="24sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="@id/tv_upgrade_life_account"
        app:layout_constraintTop_toBottomOf="@id/tv_upgrade_life_account" />

    <com.yidian.shenghuoquan.bmanagercenter.widget.LifeAccountAuthCardView
        android:id="@+id/view_personal_auth"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="19dp"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="19dp"
        app:cardCornerRadius="12dp"
        app:cardElevation="2dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_provide_services" />

    <com.yidian.shenghuoquan.bmanagercenter.widget.LifeAccountAuthCardView
        android:id="@+id/view_enterprise_auth"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="19dp"
        android:layout_marginTop="19dp"
        android:layout_marginEnd="19dp"
        app:cardCornerRadius="12dp"
        app:cardElevation="2dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/view_personal_auth" />

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_join_strategy"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="19dp"
        android:layout_marginEnd="27dp"
        android:includeFontPadding="false"
        android:text="@string/join_strategy"
        android:textColor="#FF1852F1"
        android:textSize="13sp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/view_enterprise_auth" />

    <Button
        android:id="@+id/btn_logout"
        android:layout_width="115dp"
        android:layout_height="35dp"
        android:layout_marginBottom="78dp"
        android:background="@drawable/shape_bg_btn_logout"
        android:text="@string/logout"
        android:textColor="@color/color_FF969798"
        android:textSize="15sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</com.yidian.nightmode.widget.YdConstraintLayout>